This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 188582 - Problems setting resolution on external monitor of a laptop
Problems setting resolution on external monitor of a laptop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 10:34 EDT by Sharon Dagan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 17:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sharon Dagan 2006-04-11 10:34:16 EDT
Description of problem:
  I have the IBM Thinkpad T40 laptop installed with FC5 and Windows XP. The
internal LCD screen is capable of 1024x768 resolution. The laptop is docked onto
a docking station with external monitor attached. The external monitor is
capable of 1280x1024 resolution.   

On Windows XP, I'm able to set the resolution of the external monitor to
1280x1024. This was also the case for Fedora Core 4.

Now, with FC5, I can't seems to set the resolution of the external monitor
higher than 1024x768 (as the internal LCD screen).

Hardware
  IBM Thinkpad T40, Type-model 2373-7CG
  ATI Radeon Mobility M7 LW 

Version-Release number of selected component (if applicable):
  Fedora Core 5
  kernel-2.6.16-1.2080_FC5
  xorg-x11-server-Xorg-1.0.1-9

Steps to Reproduce:
1. Put the Thinkpad on the docking station
2. Boot into Linux
3. Set the resolution to 1280x1024 (in /etc/xorg.conf)
4. Reboot
  
Actual results:
The resolution of the external monitor stays at 1024x768

Expected results:
External monitor set to 1280x1024

Additional info:
Comment 1 Mike A. Harris 2006-05-23 08:47:26 EDT
This seems to be a regression in the upstream radeon driver's display
autodetection code.

Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 3 Matěj Cepl 2007-06-28 12:36:43 EDT
Reporter, are you still interested in this bug? Have you filed that upstream
book requested from you by comment 1?

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2007-07-03 09:51:58 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 5 Adam Jackson 2007-09-27 17:01:14 EDT
xorg-x11-drv-ati has dynamic external monitor support as of 6.7.191.  Fedora 8
will include this support out of the box.

Note You need to log in before you can comment on or make changes to this bug.